== slim :chart_template
  .row
    .chart-menu
      ul.section.table-of-contents
        li
          a href="#top"  Top
        li
          a href="#method"  Method
        li
          a href="#time"  Time

    h3.white-text.center Gitaly
    
    h4.col.s12.white-text.center id="top" Top
    .col.s12.card.padding.z-depth-4
      == bubble_chart(faststats_top('gitaly/current', :project_stats),   xtitle:'Duration', ytitle:'% Count', label: "Total", title: 'by Project')
      .col.s12.padding
        .legend X: Duration
        .legend.red Y: % of total calls
        .legend.blue Size: Total Calls

    .col.s12.card.padding.z-depth-4
      == bubble_chart(faststats_top('gitaly/current', :user_stats),  xtitle:'Duration', ytitle:'% Count', label: "Total", title: 'by User')
      .col.s12.padding
        .legend X: Duration
        .legend.red Y: % of total calls
        .legend.blue Size: Total Calls

    .col.s12.card.padding.z-depth-4
      == bubble_chart(faststats_top('gitaly/current', :client_stats),  xtitle:'Duration', ytitle:'% Count', label: "Total", title: 'by Client')
      .col.s12.padding
        .legend X: Duration
        .legend.red Y: % of total calls
        .legend.blue Size: Total Calls

    h4.col.s12.white-text.center id="method" Method
    .col.s12.card.padding.z-depth-4
      == pie_chart(faststats_field('gitaly/current', :count), title: 'Total Request Count')
    .col.s12.card.padding.z-depth-4
      == column_chart(faststats_field('gitaly/current', :p95), title: 'p95')
    .col.s12.card.padding.z-depth-4
      == column_chart(faststats_field('gitaly/current', :median), title: 'Median')

    h4.col.s12.white-text.center id="time" Over Time

    .col.s12.card.padding.z-depth-4
      == area_chart(gitaly_duration, title: 'Duration',  ytitle: 'ms')

    .col.s12.card.padding.z-depth-4
      == area_chart(gitaly_avg_method_series, title: 'Avg Method Duration')

    .col.s12.card.padding.z-depth-4
      == column_chart(gitaly_errors_series, title: 'Errors by Method')
